NCR(4)

NAME
ncr - NCR5380/DP8490 low level SCSI interface

SYNOPSIS
ncr0 at mainbus0 [flags ?]

DESCRIPTION
The ncr driver provides pc532 specific functions for the machine independent ncr5380 driver provided in the kernel source. An optional argument flags can be used to disable disconnects for all targets (bit 0), to disable the use of interrupts (bit 1), to force a SCSI BUS RESET at boot time (bit 2), to disable SCSI parity checking for certain targets (bits 8-15) and to disable disconnects for certain targets (bits 16-23).

DIAGNOSTICS

ncr?: BUS RESET A BUS RESET was detected on the SCSI bus.

ncr? spurious interrupt The controller caused a processor interrupt for no reason.

ncr? ready timeout

ncr? pdma not_req timeout

ncr? timeout waiting for final SCI_DSR_DREQ These three messages indicate problems during a pdma transfer.

SEE ALSO
cd(4) ch(4) sd(4) se(4) ss(4) st(4) uk(4) scsi(4)

HISTORY
A driver for the pc532's NCR5380/DP8490 SCSI interface appeared in NetBSD 1.0.